Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::CellRendererCombo Class Reference

A GtkCellRendererCombo C++ wrapper class. More...

`#include <xfc/gtk/cellrenderercombo.hh>`

Inheritance diagram for Xfc::Gtk::CellRendererCombo:

List of all members.

## Property Prototypes

- const ModelPropertyType model_property
    The model containing the possible values for the combo box (see property_model()).
- const TextColumnPropertyType text_column_property
    A column in the data source model to get the strings from (see property_text_column()).
- const HasEntryPropertyType has_entry_property
    If false, don't allow to enter strings other than the chosen ones (see property_has_entry()).

## Public Member Functions

Constructors

- CellRendererCombo ()
    Construct a new CellRendererCombo.
- virtual ~CellRendererCombo ()
    Destructor.

Accessors

- GtkCellRendererCombo * gtk_cell_renderer_combo () const
    Get a pointer to the GtkCellRendererCombo structure.
- operator GtkCellRendererCombo * () const
    Conversion operator; safely converts an CellRendererCombo to a GtkCellRendererCombo pointer.

Property Proxies

- const ModelPropertyProxy property_model ()
    The model containing the possible values for the combo box (TreeModel* : Read / Write).
- const TextColumnPropertyProxy property_text_column ()
    Specifies the column in the data source model to get the strings from (int : Read / Write).
- const HasEntryPropertyProxy property_has_entry ()
    If true, the cell renderer will include an entry and allow to enter values other than the ones in the popup list (bool : Read / Write).

## Protected Member Functions

Constructors

- CellRendererCombo (GtkCellRendererCombo *cell, bool owns_reference=false)
    Construct a new CellRendererCombo from an existing GtkCellRendererCombo.

## Detailed Description

A GtkCellRendererCombo C++ wrapper class.

CellRendererCombo is a cell renderer that renders a combobox in a cell. Whereas CellRendererText offers a simple entry to edit text, CellRendererCombo offers a ComboBox or ComboBoxEntry widget to edit the text. The values to display in the combo box are taken from the tree model specified in the model property.

The combo cell renderer takes care of adding a text cell renderer to the combo box and sets it to display the column specified by its text-column property. Further cell renderers can be added in a handler for the "editing-started" signal.

## Constructor & Destructor Documentation

Xfc::Gtk::CellRendererCombo::CellRendererCombo | ( | GtkCellRendererCombo * | cell,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new CellRendererCombo from an existing GtkCellRendererCombo.

Parameters:

  | cell | A pointer to a GtkCellRendererCombo.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The cell can be a newly created GtkCellRendererCombo or an existing GtkCellRendererCombo. (see G::Object::Object).

## Member Function Documentation

const HasEntryPropertyProxy Xfc::Gtk::CellRendererCombo::property_has_entry | ( |  | ) |

| If true, the cell renderer will include an entry and allow to enter values other than the ones in the popup list (bool : Read / Write). The default value is true.

const TextColumnPropertyProxy Xfc::Gtk::CellRendererCombo::property_text_column | ( |  | ) |

| Specifies the column in the data source model to get the strings from (int : Read / Write). Note that this refers to the model specified in the model property, not the model backing the tree view to which this cell renderer is attached. CellRendererCombo automatically adds a text cell renderer for this column to its combo box. The allowed vales are >= -1, the default value is -1.

The documentation for this class was generated from the following file:

- cellrenderercombo.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3